/**
 * @file   mime.h
 * @brief  MIME functions.
 * @author Alejandro Álvarez Ayllón <aalvarez.cern.ch>
 */
#ifndef MIME_H_
#define	MIME_H_

/**
 * Initializes the internal structures with the mapping.
 * @param pool     The pool.
 * @param map_path The path to the mime file.
 */
void dav_ns_mime_init(apr_pool_t *pool, const char *map_path);

/**
 * Returns the mime type associated with the filename's extension.
 * If no extension is found, or not correspondance, NULL will be returned.
 * @param buffer   Where to put the value.
 * @param maxlen   The size of the buffer.
 * @param filename The file name.
 * @return         buffer if found, NULL if not.
 */
const char *dav_ns_mime_get(char *buffer, size_t maxlen, const char *filename);

#endif	/* MIME_H_*/

